import { html as p } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, v = Object.getOwnPropertyDescriptor, l = (a, t, r, i) => {
  for (var e = i > 1 ? void 0 : i ? v(t, r) : t, s = a.length - 1, n; s >= 0; s--)
    (n = a[s]) && (e = (i ? n(t, r, e) : n(e)) || e);
  return i && e && g(t, r, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--notificationFilledLarge", this.class = "c-pieIcon c-pieIcon--notificationFilledLarge", this.name = "IconNotificationFilledLarge";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--notificationFilledLarge"><path d="M16 29.125a4.506 4.506 0 0 0 4.086-2.625h-8.172A4.507 4.507 0 0 0 16 29.125Z"></path><path d="M26.692 21.084a9.554 9.554 0 0 1-2.817-6.834v-.875a7.875 7.875 0 0 0-7-7.822V2.875h-1.75v2.678a8.137 8.137 0 0 0-7 8.146v.551a9.555 9.555 0 0 1-2.817 6.808l-.683.708v2.984h22.75v-2.984l-.683-.682Z"></path></svg>`;
  }
};
l([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  h("icon-notification-filled-large")
], o);
export {
  o as IconNotificationFilledLarge
};
